#ifndef __DB__DB_VISITOR_PH__
#define __DB__DB_VISITOR_PH__

DbVisitor DbVisitorNew (DbVisitorFunction clear,
                        DbVisitorFunction down,
                        DbVisitorFunction in,
                        DbVisitorFunction up);
void DbVisitorInit (DbVisitor visitor,
                    DbVisitorFunction clear,
                    DbVisitorFunction down,
                    DbVisitorFunction in,
                    DbVisitorFunction up);
void DbVisitorDelete (DbVisitor visitor);
void DbVisitorClear (DbVisitor visitor);
int DbVisitorDown (DbVisitor visitor, DbTypeIterator it);
int DbVisitorIn (DbVisitor visitor, DbTypeIterator it);
int DbVisitorUp (DbVisitor visitor, DbTypeIterator it);

#endif /* __DB__DB_VISITOR_PH__ */
