#! /bin/sh
#
# Execute recursively the cvs add command through a path
#
myname=`basename $0`
#
case "$#" in
	1) path="$1"
	   shift
	   ;;
	*) echo "Usage: $myname path" 1>&2 
	   exit 1
	   ;;
esac
#
#
fields=`echo "$path" | sed 's/\// /g'`
for file in $fields
do
	if test ! -d $file/CVS
	then
		cvs add $file
	fi
	cd $file
done