#! /bin/sh
#
# Show a synthetic CVS branches list
#
myname=`basename $0`
#
case "$#" in
	1) file="$1"
	   shift
	   ;;
	*) echo "Usage: $myname file" 1>&2 
	   exit 1
	   ;;
esac
#
#
cvs log $file | awk '
{
if ( $1 == "branches:" )
{
  print  substr($2, 1, index($2, ";") - 1)
}

}'
