#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <Db.h>

/*---------------------------------------------------------------------------*/
<ttt>* Db<Ttt>ReferenceGetAddress (DbReference* reference)
/*---------------------------------------------------------------------------*/
{
  DbObject object;
  <ttt>* result;

  object = DbReferenceGetObject (reference);

  if (!DbTypeIs<Ttt> (DbObjectGetType (object)))
    {
      DbSetErrorInfo (DbErrorTypeMismatch, "Db<Ttt>ReferenceGetAddress>");
      return (NULL);
    }

  result = (<ttt>*) Db<Ttt>ObjectGetAddress (object);
  return (result);
}

/*---------------------------------------------------------------------------*/
<ttt>* Db<Ttt>ObjectLoad (char* name)
/*---------------------------------------------------------------------------*/
{
  DbObject object;

  object = DbLoadObject (name);
  if (DbGetError () != DbErrorOk) return (NULL);

  if (!DbTypeIs<Ttt> (DbObjectGetType (object)))
    {
      DbSetErrorInfo (DbErrorTypeMismatch, "Db<Ttt>ObjectLoad>");
      return (NULL);
    }

  return ((<ttt>*) Db<Ttt>ObjectGetAddress (object));
}
