#ifndef YYERRCODE
#define YYERRCODE 256
#endif

#define STRUCTURE 257
#define NAME 258
#define OPEN_BRACE 259
#define CLOSE_BRACE 260
#define COMMA 261
#define SHORT 262
#define INT 263
#define HEXA 264
#define FLOAT 265
#define DOUBLE 266
#define CHARACTER 267
#define STRING 268
#define REFERENCE 269
#define OPEN_SQUARE 270
#define CLOSE_SQUARE 271
#define LOWER 272
#define GREATER 273
#define NUMBER 274
typedef union
{
  DbField     field;
  CLList      list;
  DbObject    object;
  DbType      type;
  double      real;
  int         number;
  char*       string;
} YYSTYPE;
extern YYSTYPE DbTypeYYlval;
