
};

inline <T>::<T> ()
{
  DbTypeInit (_type (), this);
}

inline <T>::~<T> ()
{
  DbTypeErase (_type (), this);
}

inline int <T>::operator == (const <T>& other)
{
  return (this == &other);
}

inline int <T>::operator != (const <T>& other)
{
  return (this != &other);
}

inline DbType <T>::_type ()
{
  DbType db_type;
  CmConnect me;

  me = CmConnectWhoAmI ();
  if (me == 0)
    {
      CmMessageOpenMultipleServer ("DbTypeClient");
    }

  db_type = DbTStructureFind ("<T>");
  if (db_type == 0)
    {
      db_type = DbLoadType ("<T>");
    }

  return (db_type);
}

inline <T>& <T>::_null ()
{
  static <T> null_object;

  return (null_object);
}

#endif
